using System;

namespace CreditProcessLib
{
	/// <summary>
	/// Charges the creditcard for the given amount.
	/// </summary>
	public interface ICreditChargeEngine
	{
		/// <summary>
		/// Charges the credit card for the given amount.
		/// </summary>
		/// <param name="cardNumber">card number for the charged.</param>
		/// <param name="amount">amount to be charged</param>
		/// <returns>true if charge was successful. false otherwise.</returns>
		bool Charge(string cardNumber, double amount);
	}
}
