using System;

namespace CreditProcessLib.Mocks
{
	/// <summary>
	/// A Mock Credit Card Number Validator
	/// </summary>
	public class MockCardNumberValidator : ICardNumberValidator
	{
		#region ICardNumberValidator Members

		/// <summary>
		/// Determines if the credit card number is valid (only checks if
		/// card numbers starts with 0 or 1.).
		/// </summary>
		/// <param name="cardNumber">card number to be validated.</param>
		/// <returns>false if the number if invalid. true otherwise.</returns>
		public bool IsValid(string cardNumber)
		{
			bool result = true;
			if (cardNumber.StartsWith("0") ||
				cardNumber.StartsWith("1"))
			{
				result = false;
			}

			return result;
		}

		#endregion
	}
}
