using System;
using NUnit.Framework;

namespace CreditProcessLib.Tests
{
	public class CreditProcessTestWithRealValidator : CreditProcessTest
	{
		private const string validMasterCard = "5123123412341234";
		private const string invalidMasterCard = "5623123412341234";

		protected override ICardNumberValidator getCardValidator()
		{
			return new CreditProcessLib.Validators.CardNumberValidator();
		}

		public void testMasterCard()
		{
			processor.validateCardNumber(validMasterCard);
		}

		[ExpectedException(typeof(InvalidCreditCardNumberException))]
		public void testInvalidMasterCard()
		{
			processor.validateCardNumber(invalidMasterCard);
		}
	}
}
